//--------------------------------------------------
// Header for COLOR definitions
//--------------------------------------------------
// $Revision:   1.2  $
// $Date:   14 May 1994 19:53:42  $
//--------------------------------------------------
#ifndef __NB_COLOR_H
#define __NB_COLOR_H
#ifndef __NB_VER_H
#include "nb_ver.h"
#endif

struct rgb_color                
{                                 
  int red;                 
  int green;               
  int blue;                
};

struct rgb_table
{
  double r;
  double g;
  double b;
};

struct hsl_color
{
  double hue;
  double saturation;
  double lightness;
};

#define EARTH_PALETTE

extern rgb_color earth_rgb[16];
void rgb_fade_out(rgb_color *rgb, int steps, int c1, int c2, int c3);
void rgb_fade_in(rgb_color *rgb, int steps, int c1, int c2, int c3);
extern int fade_cancel;
void set_white(void);

#define min(a, b) (((a) < (b)) ? (a) : (b))
#define max(a, b) (((a) > (b)) ? (a) : (b))

void rgb_to_hsl(double r, double g, double b, 
                double *h, double *s, double *l);
void hsl_to_rgb(double h, double s, double l, 
                double *r, double *g, double *b);
#endif
